var CiaEnvVars = require("../common/constants/sl-env-vars").SlEnvVars.CIA;
/**
 * Manages the resolution of the various parameters, including the ability to override them
 */
function DefaultValuesResolver() {
}
/**
 * Returns an array of excluded files. Excludes files from the "node_modules", "test" and "coverage" folders.
 */
DefaultValuesResolver.prototype.getExcludedFiles = function () {
    const excludedFiles = [
        'node_modules/**/*',
        'test/**/*',
        'coverage/lcov-report/**/*'
    ];
    return excludedFiles;
};
/**
 * Returns an array of included files.
 */
DefaultValuesResolver.prototype.getIncludedFiles = function () {
    var extensions = this.getFileExtensions();
    var includedFiles = [];
    extensions.map(function (ext) {
        includedFiles.push("**/*" + ext);
    });
    return includedFiles;
};
/**
 * Return a list of file extensions that the build scanner should scan and instrument (the latter is relevant for browser agent).
 */
DefaultValuesResolver.prototype.getFileExtensions = function () {
    var extensions = [".js", ".jsx", ".mjs", ".es6"];
    var overriddenFileExtensions = CiaEnvVars.getFileExtensions();
    if (overriddenFileExtensions != null) {
        extensions = overriddenFileExtensions.split(",");
    }
    return extensions;
};
DefaultValuesResolver.prototype.getSendCommitTitles = function () {
    return CiaEnvVars.getSendCommitTitles();
};
module.exports = DefaultValuesResolver;
//# sourceMappingURL=default-values-resolver.js.map