"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SplitByTransformStream = void 0;
const stream_1 = require("stream");
class SplitByTransformStream extends stream_1.Transform {
    constructor(splitter, streamOptions) {
        super(streamOptions);
        this.buffer = '';
        this.splitter = '\n';
        this.splitter = splitter;
    }
    _transform(chunk, _encoding, callback) {
        this.buffer = this.buffer || '';
        const text = this.buffer + chunk.toString();
        const parts = text.split(this.splitter);
        parts.slice(0, -1).forEach(x => this.push(x));
        this.buffer = parts.slice(-1)[0];
        callback(null);
    }
    _flush(callback) {
        callback(null, this.buffer);
    }
}
exports.SplitByTransformStream = SplitByTransformStream;
//# sourceMappingURL=split-by-transform-stream.js.map