"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopByConditionTransformStream = void 0;
const stream_1 = require("stream");
class StopByConditionTransformStream extends stream_1.Transform {
    constructor(predicate, streamOptions) {
        super(streamOptions);
        this.predicate = predicate;
    }
    _transform(chunk, _encoding, callback) {
        const text = chunk.toString();
        if (this.predicate(text)) {
            this.end();
        }
        callback(null, text);
    }
}
exports.StopByConditionTransformStream = StopByConditionTransformStream;
//# sourceMappingURL=stop-by-condition-transform-stream.js.map