"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyAsIsStrategy = void 0;
const fileAndFolderUtils = require("../../file-and-folder-utils");
class CopyAsIsStrategy {
    constructor(logger) {
        this.logger = logger;
    }
    process(inputFile, outputFile, fileKey) {
        return new Promise((resolve, reject) => {
            fileAndFolderUtils.copyFileAsIs(inputFile, outputFile, fileKey, this.logger, (err) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve();
                }
            });
        });
    }
}
exports.CopyAsIsStrategy = CopyAsIsStrategy;
//# sourceMappingURL=copy-as-is-strategy.js.map