import { JsFileInstrumentationStrategy } from "./js-instrumnetation-strategy";
/**
 * This strategy implements the toggle-based browser instrumentation approach.
 * It creates three files for each JS file:
 * 1. Original file.js - Modified to contain loader logic that checks for sl-preamble-config.js in the root of the web server
 * 2. file_original .js- The original source file without modifications
 * 3. file_instrumented.js - The instrumented version of the file
 */
export declare class ToggleBasedJsInstrumentationStrategy extends JsFileInstrumentationStrategy {
    process(inputFile: string, outputFile: string, fileKey: string): Promise<void>;
    /**
     * Creates the loader content that will dynamically load either the original or instrumented file
     * based on the presence of sl-preamble-config.js
     */
    private createLoaderContent;
}
