"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScmFileFixer = void 0;
const path_1 = require("path");
const file_path_fixer_1 = require("../mappings/file-path-fixer");
const files_utils_1 = require("../../common/utils/files-utils");
class ScmFileFixer extends file_path_fixer_1.FilePathFixer {
    constructor(filesContainer, slMapper, nodeV8RawCoverageSlMapper, logger, projectRoot, scmRoot, useModulePrefix, uniqueModuleId, isRawCoverage = false, embedCorrectUniqueId = false) {
        super(filesContainer, slMapper, nodeV8RawCoverageSlMapper, logger, projectRoot, useModulePrefix, uniqueModuleId, isRawCoverage, embedCorrectUniqueId);
        this.nodeV8RawCoverageSlMapper = nodeV8RawCoverageSlMapper;
        this.scmRoot = scmRoot;
        this.removeAutoGeneratedFiles = true;
    }
    getLogicalPath(fixedPath) {
        if (this.scmRoot !== this.projectRoot) {
            const absolutePath = (0, path_1.join)(this.scmRoot, fixedPath);
            fixedPath = (0, path_1.relative)(this.projectRoot, absolutePath);
        }
        return super.getLogicalPath(fixedPath);
    }
    getAbsolutePath(fixedPath) {
        const absolutePath = (0, path_1.join)(this.scmRoot, fixedPath);
        return files_utils_1.FilesUtils.adjustPathSlashes(absolutePath);
    }
}
exports.ScmFileFixer = ScmFileFixer;
//# sourceMappingURL=scm-file-fixer.js.map