"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceMapEraserFactory = void 0;
const interface_1 = require("./interface");
const none_source_maps_eraser_1 = require("./none-source-maps-eraser");
const skip_copy_source_maps_1 = require("./skip-copy-source-maps");
const source_maps_eraser_1 = require("./source-maps-eraser");
class SourceMapEraserFactory {
    static createSourceMapEraserByMode(mode, logger, workspace, pattern) {
        if (mode === interface_1.SourceMapsEraserModes.SkipCopy) {
            return new skip_copy_source_maps_1.SkipCopySourceMaps(pattern);
        }
        if (mode === interface_1.SourceMapsEraserModes.SkipAndDelete) {
            return new source_maps_eraser_1.SourceMapsEraser(logger, workspace, pattern);
        }
        if (mode === interface_1.SourceMapsEraserModes.None) {
            return new none_source_maps_eraser_1.NoneSourceMapsEraser();
        }
        logger.warn(`Invalid value of excludeSourceMapFiles - '${mode}', using 'none' mode`);
        return new none_source_maps_eraser_1.NoneSourceMapsEraser();
    }
}
exports.SourceMapEraserFactory = SourceMapEraserFactory;
//# sourceMappingURL=factory.js.map