"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MISSING_FILES_IN_BUILD_MAPPING = exports.BUILD_MAPPING_NOT_SUBMITTED = exports.DONE_WITH_ERROR_MSG = exports.POSITION_DIFF_MSG = exports.NYC_PATH_DIFF_MSG = exports.IDS_MISS_MATCH_MSG_SUFFIX = exports.GIT_PATH_DIFF_MSG = exports.NO_COLUMN_MSG = exports.PREAMBLE_DEFAULT_FILE_NAME = exports.ENABLE_DRY_RUN_KEY = exports.DRY_RUN_DOCUMENTATION_MSG = exports.DRY_RUN_DOCUMENTATION_LINK = exports.SOURCE_MAPS_DOCUMENTATION_LINK = exports.FOOTPRINTS = exports.BUILD_MAPPING_PARTS = exports.BUILD_MAPPING = exports.COVERAGE_MAP = exports.SL_MAPPING = exports.LOG_FILE = exports.POSITION_DIFF_PERCENT_TO_WARN = exports.PATH_DIFF_PERCENT_TO_WARN = exports.DRY_RUN_OUTPUT = exports.BRANCH_DELIMITER = exports.METHOD_DELIMITER = exports.DEFAULT_FOLDER_DEPTH = exports.MAX_ITEMS_TO_PRINT = exports.INSTRUMENTATION_OUTPUT = exports.ERROR_INSTRUMENTED_KEY = exports.ERROR_NON_INSTRUMENTED_KEY = exports.NON_INSTRUMENTED_KEY = exports.INSTRUMENTED_KEY = exports.EXCLUDED_KEY = exports.INCLUDED_KEY = exports.FP_IDS_KEY = exports.BUILD_SCAN_IDS_KEY = exports.FP_IDS_FILENAME = exports.BUILD_SCAN_IDS_FILENAME = exports.SL_FILE_PATHS = exports.GIT_FILE_PATHS = exports.PROCESS_ARGS_FILENAME = exports.ERROR_WARNINGS_FILENAME = exports.AGENT_EVENTS_FILENAME = exports.THIRD_PARTY_LOGICAL_FILES_FILENAME = exports.THIRD_PARTY_RAW_FILES_FILENAME = exports.ERROR_INSTRUMENTED_FILENAME = exports.ERROR_NON_INSTRUMENTED_FILENAME = exports.NON_INSTRUMENTED_FILENAME = exports.INSTRUMENTED_FILENAME = exports.EXCLUDED_FILENAME = exports.INCLUDED_FILENAME = void 0;
exports.AGENT_EVENTS_ERROR_MSG = exports.LOGICAL_THIRD_PARTY_MSG = exports.RAW_THIRD_PARTY_MSG = exports.THIRD_PARTY_SUFFIX = void 0;
exports.INCLUDED_FILENAME = 'included-files.json';
exports.EXCLUDED_FILENAME = 'excluded-files.json';
exports.INSTRUMENTED_FILENAME = 'instrumented-files.json';
exports.NON_INSTRUMENTED_FILENAME = 'non-instrumented-files.json';
exports.ERROR_NON_INSTRUMENTED_FILENAME = 'errored-non-instrumented-files.json';
exports.ERROR_INSTRUMENTED_FILENAME = 'errored-instrumented-files.json';
exports.THIRD_PARTY_RAW_FILES_FILENAME = 'third-party-raw-files.json';
exports.THIRD_PARTY_LOGICAL_FILES_FILENAME = 'third-party-logical-files.json';
exports.AGENT_EVENTS_FILENAME = 'agent-events.json';
exports.ERROR_WARNINGS_FILENAME = 'agent-errors-and-warnings.json';
exports.PROCESS_ARGS_FILENAME = 'process-argv.json';
exports.GIT_FILE_PATHS = 'git-file-paths.json';
exports.SL_FILE_PATHS = 'sl-file-paths.json';
exports.BUILD_SCAN_IDS_FILENAME = 'build-scan-ids.json';
exports.FP_IDS_FILENAME = 'footprints-ids.json';
exports.BUILD_SCAN_IDS_KEY = 'Build scan unique ids';
exports.FP_IDS_KEY = 'Footprints unique ids';
exports.INCLUDED_KEY = 'included';
exports.EXCLUDED_KEY = 'excluded';
exports.INSTRUMENTED_KEY = 'instrumented';
exports.NON_INSTRUMENTED_KEY = 'non-instrumented';
exports.ERROR_NON_INSTRUMENTED_KEY = 'errored-non-instrumented';
exports.ERROR_INSTRUMENTED_KEY = 'errored-instrumented';
exports.INSTRUMENTATION_OUTPUT = 'instrumentation-output';
exports.MAX_ITEMS_TO_PRINT = 10;
exports.DEFAULT_FOLDER_DEPTH = 3;
exports.METHOD_DELIMITER = '@';
exports.BRANCH_DELIMITER = '|';
exports.DRY_RUN_OUTPUT = 'sl-dry-run-output';
exports.PATH_DIFF_PERCENT_TO_WARN = 30;
exports.POSITION_DIFF_PERCENT_TO_WARN = 80;
exports.LOG_FILE = 'sealights.log';
exports.SL_MAPPING = 'sl-mapping.json';
exports.COVERAGE_MAP = 'sl-raw-coverage-map.json';
exports.BUILD_MAPPING = 'build-mapping.json';
exports.BUILD_MAPPING_PARTS = 'build-mapping-parts.json';
exports.FOOTPRINTS = 'footprints.json';
exports.SOURCE_MAPS_DOCUMENTATION_LINK = 'https://sealights.atlassian.net/wiki/spaces/SUP/pages/1172144129/Javascript+and+Node.js+Source+Map+Files';
exports.DRY_RUN_DOCUMENTATION_LINK = 'https://sealights.atlassian.net/wiki/spaces/SUP/pages/1969684481';
exports.DRY_RUN_DOCUMENTATION_MSG = `More info about the analysis can be found in: ${exports.DRY_RUN_DOCUMENTATION_LINK}`;
exports.ENABLE_DRY_RUN_KEY = 'SL_enableDryRun';
exports.PREAMBLE_DEFAULT_FILE_NAME = 'sl-preamble-config.js';
// Error messages
exports.NO_COLUMN_MSG = `All elements reported with column 0 please verify that source maps produced with column information. Please refer to: \n${exports.SOURCE_MAPS_DOCUMENTATION_LINK}`;
exports.GIT_PATH_DIFF_MSG = `The project structure calculated by the build scanner does not match your git project structure please check the provided projectRoot. For more information please see ${exports.DRY_RUN_OUTPUT}/${exports.SL_FILE_PATHS} and ${exports.DRY_RUN_OUTPUT}/${exports.GIT_FILE_PATHS}`;
exports.IDS_MISS_MATCH_MSG_SUFFIX = `Full uniqueIds list is in ${exports.DRY_RUN_OUTPUT}/${exports.BUILD_SCAN_IDS_FILENAME} and ${exports.DRY_RUN_OUTPUT}/${exports.FP_IDS_FILENAME}`;
exports.NYC_PATH_DIFF_MSG = `% of paths are different between build scan and coverage data (AKA footprints). ${exports.IDS_MISS_MATCH_MSG_SUFFIX}`;
exports.POSITION_DIFF_MSG = `% of the elements (e.g methods) position (within matched files) in the coverage information, do not match the positions in the build scan, might be caused due to map files issue. ${exports.IDS_MISS_MATCH_MSG_SUFFIX}`;
exports.DONE_WITH_ERROR_MSG = 'Process finished with error:';
exports.BUILD_MAPPING_NOT_SUBMITTED = 'Build mapping not submitted';
exports.MISSING_FILES_IN_BUILD_MAPPING = 'Build mapping does not contains any files';
exports.THIRD_PARTY_SUFFIX = 'Please verify that workspace configured properly and \'.slignore\' file is well defined';
exports.RAW_THIRD_PARTY_MSG = ` seems to be included in the scanned files. ${exports.THIRD_PARTY_SUFFIX}`;
exports.LOGICAL_THIRD_PARTY_MSG = ` seems to be bundled into the scanned files. ${exports.THIRD_PARTY_SUFFIX}`;
exports.AGENT_EVENTS_ERROR_MSG = `warning(s) or error(s) have been found. For more information please see ${exports.DRY_RUN_OUTPUT}/${exports.ERROR_WARNINGS_FILENAME}`;
//# sourceMappingURL=constants.js.map