"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgentEventsGuard = void 0;
const system_date_1 = require("../system-date");
const cockpit_notifier_1 = require("./cockpit-notifier");
class AgentEventsGuard {
    static notifyIfNeeded(eventCode, data) {
        const currentTime = (0, system_date_1.getSystemDateValueOf)();
        const lastCallTime = AgentEventsGuard.EVENT_CODE_TO_LAST_CALL.get(eventCode);
        if (!lastCallTime || currentTime - lastCallTime >= AgentEventsGuard.DEFAULT_FIVE_MIN_BUFFER) {
            cockpit_notifier_1.CockpitNotifier.sendEvent(eventCode, data);
            AgentEventsGuard.EVENT_CODE_TO_LAST_CALL.set(eventCode, currentTime);
        }
    }
    // Added for tests
    static init() {
        AgentEventsGuard.EVENT_CODE_TO_LAST_CALL = new Map();
    }
}
exports.AgentEventsGuard = AgentEventsGuard;
AgentEventsGuard.DEFAULT_FIVE_MIN_BUFFER = 5 * 60 * 1000;
AgentEventsGuard.EVENT_CODE_TO_LAST_CALL = new Map();
//# sourceMappingURL=agent-events-guard.js.map