"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserInfoBuilder = void 0;
const system_date_1 = require("../system-date");
class BrowserInfoBuilder {
    constructor() {
        this.info = {};
    }
    fillData() {
        const currentDate = (0, system_date_1.getSystemDate)();
        this.info.userAgent = window.navigator.userAgent;
        this.info.localDateTime = currentDate.toString();
        this.info.localDateTimeUnix_s = currentDate.getTime();
        this.info.location = window.location.toString();
    }
    build() {
        this.fillData();
        return this.info;
    }
}
exports.BrowserInfoBuilder = BrowserInfoBuilder;
//# sourceMappingURL=browser-info-builder.js.map