"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodejsEnvInfoBuilder = void 0;
class NodejsEnvInfoBuilder {
    constructor(agentInstanceData, dependencies) {
        this.agentInstanceData = agentInstanceData;
        this.info = {};
        this.dependencies = dependencies || {};
    }
    fillData() {
        this.info.indexJsonDeps = this.dependencies;
        this.info.nodeVersion = process.versions.node;
        this.info.execArgv = process.execArgv;
        this.info.allocatedMemoryInMB = this.agentInstanceData.AgentAllocatedMemoryInMb;
    }
    build() {
        this.fillData();
        return this.info;
    }
}
exports.NodejsEnvInfoBuilder = NodejsEnvInfoBuilder;
//# sourceMappingURL=nodejs-env-info-builder.js.map