"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventsCreator = void 0;
const events_contracts_1 = require("./events-contracts");
const system_date_1 = require("../system-date");
class EventsCreator {
    static createTestStartedEvent(executionId, framework, testName, duration) {
        const eventBase = this.createEvent(events_contracts_1.EventTypes.TestStart, executionId, framework);
        const startTimeStamp = (0, system_date_1.getSystemDateValueOf)() - duration;
        eventBase.localTime = startTimeStamp;
        return Object.assign(Object.assign({}, eventBase), { testName });
    }
    static createTestEndEvent(executionId, framework, testName, result, duration) {
        const eventBase = this.createEvent(events_contracts_1.EventTypes.TestEnd, executionId, framework);
        return Object.assign(Object.assign({}, eventBase), { result,
            duration,
            testName });
    }
    static createEvent(type, executionId, framework) {
        return {
            type,
            executionId,
            framework,
            localTime: (0, system_date_1.getSystemDateValueOf)()
        };
    }
}
exports.EventsCreator = EventsCreator;
//# sourceMappingURL=events-creator.js.map