"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasFootprintsData = void 0;
/**
 * Checks if a footprints packet has any data (non-empty methods or branches)
 * @param packet The footprints packet to check
 * @returns true if the packet has data, false otherwise
 */
function hasFootprintsData(packet) {
    var _a, _b;
    return (!!packet && (((_a = packet.methods) === null || _a === void 0 ? void 0 : _a.length) > 0 || ((_b = packet.branches) === null || _b === void 0 ? void 0 : _b.length) > 0));
}
exports.hasFootprintsData = hasFootprintsData;
//# sourceMappingURL=footprints-data-utils.js.map