"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatLocation = void 0;
/**
 * Format location of coverage element in instrumented file (reduced and non-reduced)
 */
function formatLocation(position, logger) {
    if (position.hasOwnProperty('line') && position.hasOwnProperty('column')) {
        return position.line + ',' + position.column;
    }
    else if (position.hasOwnProperty('l') && position.hasOwnProperty('c')) {
        return position.l + ',' + position.c;
    }
    logger.error(`Position is not in a valid format got '${tryStringifyPosition(position)}', returning -1 for line and column`);
    return '-1,-1';
}
exports.formatLocation = formatLocation;
function tryStringifyPosition(position) {
    try {
        return JSON.stringify(position);
    }
    catch (e) {
        `failed to stringify position '${e}'`;
    }
}
//# sourceMappingURL=location-formatter.js.map