"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteHitsCollector = void 0;
const hits_collector_1 = require("./hits-collector");
/**
 * Used in case of coverage data collected remotely and set from outside (e.g instrumented browser code)
 */
class RemoteHitsCollector extends hits_collector_1.HitsCollector {
    getGlobalCoverageObject() {
        return this.globalCoverageObject || {};
    }
    /**
     * Each time coverage object set it contains the complete coverage data for the test, no need to calculate the diff
     * @param currentCounters
     * @protected
     */
    updateCoverageSnapshot(currentCounters) {
        this.globalCoverageObject = {};
    }
}
exports.RemoteHitsCollector = RemoteHitsCollector;
//# sourceMappingURL=remote-hits-collector.js.map