"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollectionInterval = void 0;
const system_date_1 = require("../system-date");
class CollectionInterval {
    constructor(intervalInMS) {
        this.intervalInSeconds = this.toSeconds(intervalInMS);
        this.start = this.toSeconds((0, system_date_1.getSystemDateValueOf)());
    }
    next() {
        if (this.end) {
            this.start = this.end;
        }
        this.end = this.toSeconds((0, system_date_1.getSystemDateValueOf)());
        if ((this.end - this.start) > this.intervalInSeconds) {
            this.start = this.end - this.intervalInSeconds;
        }
    }
    toJson() {
        return { start: this.start, end: this.end };
    }
    toSeconds(time) {
        return Math.floor(time / 1000);
    }
}
exports.CollectionInterval = CollectionInterval;
//# sourceMappingURL=collection-interval.js.map