import type { Logger } from './contracts';
export declare class IgnoredFilesHandler {
    private slIgnoreFilePath;
    private outputPath;
    private filename;
    private logger;
    private attemptToLoadNycConfig;
    static readonly SCAN_IGNORE_FILE_NAME = ".slignore";
    static readonly GENERATED_IGNORE_FILE_NAME = ".slignore.generated";
    static readonly INSTRUMENT_IGNORE_FILE_NAME = ".slignore.instrument";
    private static readonly MAX_ENTRIES_TO_LOG;
    private excludedPaths;
    isUsingNycConfig: boolean;
    private rawPattern;
    private ignoredPatterns;
    private loggedEntries;
    constructor(slIgnoreFilePath: string, outputPath: string, excludedPaths: string, filename: string, logger: Logger, attemptToLoadNycConfig?: boolean);
    private initIgnorePatterns;
    private getRawPatterns;
    private addCliOptionExcludedPaths;
    private readFromSlIgnoreFile;
    getArrayPattern(): string[];
    getFormattedPattern(): string;
    private addExcludedPath;
    protected getDefaultPattern(): string;
    private readFromNycConfig;
    private readNycConfig;
    private createExcludePatternFromNyc;
    denies(input: string): boolean;
    accepts(input: string): boolean;
}
