"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitLogParser = void 0;
class GitLogParser {
    constructor(keyValueSeparator = ':', recordSeparator = ',') {
        this.keyValueSeparator = keyValueSeparator;
        this.recordSeparator = recordSeparator;
    }
    parse(text) {
        if (!text) {
            return null;
        }
        text = text.trim();
        if (text.trim().length == 0) {
            return null;
        }
        const gitLogEntry = {};
        const records = text.split(this.recordSeparator);
        records.forEach(record => {
            let [key, value] = record.split(this.keyValueSeparator);
            key = key.trim();
            value = value.trim();
            gitLogEntry[key] = value;
        });
        return gitLogEntry;
    }
    parseMany(text, objectSepator = '\n') {
        if (!text) {
            return null;
        }
        text = text.trim();
        if (text.trim().length == 0) {
            return null;
        }
        const records = text.split(objectSepator);
        return records.map(record => this.parse(record));
    }
}
exports.GitLogParser = GitLogParser;
//# sourceMappingURL=git-log-parser.js.map