"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScmFactory = void 0;
const none_1 = require("./none");
const git_1 = require("./git");
const logger_1 = require("../logger");
const logger = logger_1.LoggerFactory.getCreateApplicationLogger();
class ScmFactory {
    createScmByType(type, buildArgs) {
        const scmType = type.toLowerCase();
        if (scmType === 'git') {
            return new git_1.Git(buildArgs);
        }
        logger.lifecycle(`Got scm type '${type}, using 'None' type`);
        return new none_1.None();
    }
}
exports.ScmFactory = ScmFactory;
//# sourceMappingURL=scm-factory.js.map