"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceMapsUtils = void 0;
const fs = require("fs");
const sourceMap = require("source-map");
class SourceMapsUtils {
    static readSourceMaps(fullFilename) {
        if (!fullFilename)
            return;
        const sourceMapsFilename = fullFilename + '.map';
        let contents, rawSourceMapJsonData, consumer;
        try {
            contents = fs.readFileSync(sourceMapsFilename).toString();
        }
        catch (e) {
            //Sourcemap file not found
            return null;
        }
        try {
            rawSourceMapJsonData = JSON.parse(contents);
        }
        catch (e) {
            console.error('[Sealights] Ignoring invalid source map: ' + sourceMapsFilename);
            return null;
        }
        try {
            consumer = new sourceMap.SourceMapConsumer(rawSourceMapJsonData);
            return consumer;
        }
        catch (e) {
            console.error('[Sealights] Error processing source maps for file: ' + sourceMapsFilename);
            return null;
        }
    }
}
exports.SourceMapsUtils = SourceMapsUtils;
//# sourceMappingURL=source-maps-utils.js.map