"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSystemOffset = exports.getSystemDateValueOf = exports.getSystemDateValueOfLocal = exports.getSystemDate = void 0;
/* eslint-disable @miovision/disallow-date/no-static-date */
const agent_time_synchronizer_1 = require("../cli-parse/agent-time-synchronizer");
/**
 * This captures the original Date, in case it's mocked (happens with sinon, MockDate)
 */
const SystemDate = Date;
/**
 * This captures the original Date's valueOf(), in case it's mocked manually
 */
const SystemDateValueOf = Date.prototype.valueOf;
function getSystemDate() {
    return new SystemDate();
}
exports.getSystemDate = getSystemDate;
function getSystemDateValueOfLocal() {
    const date = getSystemDate();
    return SystemDateValueOf.call(date);
}
exports.getSystemDateValueOfLocal = getSystemDateValueOfLocal;
function getSystemDateValueOf() {
    return agent_time_synchronizer_1.AgentTimeSynchronizer.getOffset() + getSystemDateValueOfLocal();
}
exports.getSystemDateValueOf = getSystemDateValueOf;
function getSystemOffset() {
    return agent_time_synchronizer_1.AgentTimeSynchronizer.getOffset();
}
exports.getSystemOffset = getSystemOffset;
//# sourceMappingURL=system-date.js.map