"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractDataBuilder = void 0;
const fs_1 = require("fs");
const logger_1 = require("../logger");
/**
 * Base class for reading data (token or buildSessionId) from file.
 */
class AbstractDataBuilder {
    constructor() {
        this.logger = logger_1.LoggerFactory.getCreateApplicationLogger();
    }
    getFromFile(cmd, key) {
        try {
            return (0, fs_1.readFileSync)(cmd[key], 'utf-8').trim();
        }
        catch (e) {
            this.logger.error(`Failed to read ${key}. Error ${e}`);
        }
        return null;
    }
}
exports.AbstractDataBuilder = AbstractDataBuilder;
//# sourceMappingURL=abstract-data-builder.js.map