import { AbstractDataBuilder } from './abstract-data-builder';
import { BuildSessionData } from '../http/contracts';
import { IConfigArgs, IGeneralArgs } from '../contracts';
import { IBackendProxy } from '../http/backend-proxy-interface';
/**
 * Build the build session data (app, branch and build).
 * For config commands, returns the values from CLI.
 * For other commands, resolves using backend.
 */
export declare class BuildSessionDataBuilder extends AbstractDataBuilder {
    protected backendProxy: IBackendProxy;
    constructor(backendProxy: IBackendProxy);
    build(cmd: IGeneralArgs): Promise<BuildSessionData>;
    parseFromCli(cmd: IConfigArgs): BuildSessionData;
    private parseFromBuildSessionId;
    private mapBuildSessionResponse;
    private getRawBuildSessionId;
}
