"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
function parse(cookieString) {
    return cookieString.split(';')
        .map(s => s.trim())
        .filter(s => s.length > 0) // Filter out empty segments
        .map((s) => s.split('='))
        .filter(([cookieName]) => cookieName.length > 0)
        .map(([cookieName, ...cookieValue]) => [
        decodeURIComponent(cookieName.trim()),
        // rest operator + join handles an edge case with multiple `=` signs in cookie string (although they should be URI encoded anyway)
        cookieValue.length === 0 ? null : decodeURIComponent(cookieValue.join('=').trim()),
    ])
        .reduce((acc, [cookieName, cookieValue]) => (Object.assign(Object.assign({}, acc), { [cookieName]: cookieValue })), {});
}
exports.parse = parse;
//# sourceMappingURL=cookie.js.map