"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvVarParsing = void 0;
class EnvVarParsing {
    static parseNumber(key) {
        let valueFromEnv = process.env[key];
        if (valueFromEnv != null) {
            const valueAsNumber = Number.parseFloat(valueFromEnv);
            if (!isNaN(valueAsNumber)) {
                valueFromEnv = valueAsNumber;
            }
            else {
                valueFromEnv = null;
            }
        }
        return valueFromEnv;
    }
    static parseBoolean(key, defaultValue = false) {
        var _a;
        const normalizedEnvVar = (_a = process.env[key]) === null || _a === void 0 ? void 0 : _a.toLowerCase();
        const isValidValue = normalizedEnvVar === 'true' || normalizedEnvVar === 'false';
        return isValidValue ? normalizedEnvVar === 'true' : defaultValue;
    }
    static parseStringArray(key, defaultValue, separator = ',') {
        const envVar = process.env[key];
        if (typeof envVar !== 'string') {
            return defaultValue;
        }
        return envVar.split(separator);
    }
}
exports.EnvVarParsing = EnvVarParsing;
//# sourceMappingURL=env-var-parsing.js.map