"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TOKEN_KEY = exports.obfuscateToken = void 0;
/**
 * Obfuscates a token for logging purposes by showing only the first and last few characters
 * @param token The token to obfuscate
 * @returns The obfuscated token string
 */
function obfuscateToken(token) {
    if (!token)
        return "";
    if (token.length <= 8)
        return token;
    return `${token.substring(0, 4)}...${token.substring(token.length - 4)}`;
}
exports.obfuscateToken = obfuscateToken;
exports.TOKEN_KEY = "token";
//# sourceMappingURL=token-utils.js.map