"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationUtils = void 0;
const constants_1 = require("../constants/constants");
class ValidationUtils {
    static verifyNotNullOrEmpty(value, paramName) {
        if (value === undefined || value === null) {
            throw new Error(`${paramName} ${constants_1.Constants.Messages.CANNOT_BE_NULL_OR_UNDEFINED}.`);
        }
        if (typeof (value) === 'string' && value.length === 0) {
            throw new Error(`${paramName} ${constants_1.Constants.Messages.CANNOT_BE_EMPTY_STRING}.`);
        }
    }
    static validatePath(path) {
        const regex = /^(https?:\/\/[^\s\/]+(?:\/[^\s]*)?|[a-zA-Z0-9_.-]+(?:\/[a-zA-Z0-9_.-]+)*)$/;
        return regex.test(path);
    }
    static verifyNotNullOrEmptyMultiParams(params) {
        for (const param of params) {
            const { value, paramName } = param;
            ValidationUtils.verifyNotNullOrEmpty(value, paramName);
        }
    }
}
exports.ValidationUtils = ValidationUtils;
//# sourceMappingURL=validation-utils.js.map