"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.V8Utils = void 0;
class V8Utils {
    static isNode() {
        var _a;
        return !!(typeof process !== 'undefined' && ((_a = process === null || process === void 0 ? void 0 : process.versions) === null || _a === void 0 ? void 0 : _a.node));
    }
    static heapSizeLimitMB() {
        return __awaiter(this, void 0, void 0, function* () {
            if (!V8Utils.isNode()) {
                return NaN;
            }
            const heap_size_limit = (yield Promise.resolve().then(() => require('v8'))).getHeapStatistics().heap_size_limit;
            return heap_size_limit / Math.pow(1024, 2);
        });
    }
}
exports.V8Utils = V8Utils;
//# sourceMappingURL=v8-utils.js.map