"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const factory_1 = require("./factory");
const config_loader_1 = require("../common/config-process/config-loader");
try {
    // The bootsrap script is called many times by nyc, seems like this is needed in order to have the same scope and thus the same global
    //      object between the agent and the instrumented files. Unfortunately , this means that we'll have several agents
    //      instead of one, each working every 10 seconds to handle the coverage. That's the case for years.
    //      This will be modified in the lightweight agent using node_v8 where don't need this concept.
    const configLoader = new config_loader_1.ConfigLoader();
    let agentCfg = global['agentCfg'];
    if (!agentCfg)
        agentCfg = configLoader.loadAgentConfiguration(null);
    const factory = new factory_1.NodeAgentFactory(agentCfg);
    const agent = factory.getCreateNodeJsAgent();
    agent.footprintsProcess.loadSlMapping();
    agent.start();
}
catch (err) {
    console.error('Error starting Sealights agent:' + err.stack);
}
//# sourceMappingURL=bootstrap.js.map