export declare class WaitForMultipleCallbacks {
    private completionCallback;
    waitForAll(callback: () => void): void;
    /**
     * Creates a named callback and waits for it to finish (asynchronously)
     * @param {string} name
     * @returns
     *
     * @memberOf WaitForMultipleCallbacks
     */
    getCallbackForProcess(name: string): () => void;
    private processStatuses;
    private checkCompletionAndFireCallback;
    /**
     * Checks if all callbacks have been called
     *
     * @returns true if all processes have been completed, false if some callbacks have yet to be called
     *
     * @memberOf WaitForMultipleCallbacks
     */
    private checkCompletion;
}
